package com.yanzuoguang.util.thread;

/**
 * 循环执行任务
 * @author 颜佐光
 */
public class RunInterval {
    /**
     * 当前线程
     */
    private Thread thread;
    /**
     * 间隔时间，毫秒
     */
    private int time;
    /**
     * 执行的代码
     */
    private Runnable code;
    /**
     * 是否终端
     */
    private boolean breakFlag;

    public java.lang.Thread getThread() {
        return thread;
    }

    public void setThread(java.lang.Thread thread) {
        this.thread = thread;
    }

    public int getTime() {
        return time;
    }

    public void setTime(int time) {
        this.time = time;
    }

    public Runnable getCode() {
        return code;
    }

    public void setCode(Runnable code) {
        this.code = code;
    }

    public boolean isBreakFlag() {
        return breakFlag;
    }

    public void setBreakFlag(boolean breakFlag) {
        this.breakFlag = breakFlag;
    }
}